/* 
Body Main Style
Date: 2023-02-18
By: Marcos Melo
*/


/* Intro */
.intro {
    height: 100vh;
    width: 100vw;
    padding: 100px 0;

    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1fr 2fr 1fr;
    grid-template-areas:
    ". ."
    "p i"
    "s s";

    gap: 5px;
    justify-content: center;
    align-items: center;    
}

.phrase {
    grid-area: p;
    padding: 0 40px;
    text-align: right;
    font-size: 2rem;
}

.desktop-img {
    grid-area: i;
}
.desktop-img img {
    width: 100%;
}
/* social buttons*/
.social-network {
    grid-area: s;
    display: flex;
    justify-content: center;
    align-items: center;
}
.social-network a {
    display: flex;
    background: #393939;
    width: 85px;
    height: 85px;
    margin: 0 15px;
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    box-shadow: -5px -5px 10px -1px rgba(168, 208, 224, 0.322), 5px 5px 10px -1px rgb(61, 22, 199);
    transition: 0.5s;
}
.social-network a i {
    font-size: 40px;
    color: white;
}
.social-network a:hover i {
    transform: scale(0.90);
    color: rgb(154, 143, 219);
}
.social-network a:hover {
    transform: scale(0.80);
}

/* About */
.about {
    width: 100%;
    height: 100vh;
    padding-left: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(61, 22, 199, 0.589);
}
.profile-photo {
    width: 40%;
    padding-right: 30px;
    text-align: right;
}
.profile-photo img {
    height: 250px;
    width: 250px;
    border-radius: 50%;
    border: 1px solid rgb(61, 22, 199);
}
.about-text {
    width: 60%;
    padding: 0px 120px 0 20px;
    font-size: 1.8em;
}
.about-text h2 {
    font-size: 1.2em;
}


/* Know-How */
.know-how {
    height: 100vh;
    padding-top: 110px;
    padding-left: 100px;
    display: table;
    font-size: 1.4em;

}
.know-how div {
    padding-bottom: 20px;
}
.know-how ul {
    padding-left: 50px;
}
.know-how li {
    padding: 10px auto;
}

/* Portfolio */
.portfolio {
    width: 100%;
    height: 100%;    
    padding-top: 110px;
    padding-left: 90px;
    background-color: rgba(61, 22, 199, 0.589);
    font-size: 1.4em;
}
.works {
    display: flex;
    flex-flow: row wrap;
}
.portfolio h2 {
    margin-left: 10px;
}
.work_box {
    display: grid;
    grid-template-rows: 3fr 1fr 2fr 1fr ;
    width: 330px;
    height: 380px;
    margin: 10px;
    padding: 10px 5px;
    background: rgb(110, 110, 110);
    box-shadow: 1px 2px 15px 2px rgba(0, 0, 0, 0.2);
    border-radius: 2px;
    font-size: 0.8em;
}
.work_box img {
    width: 320px;
}
.port_date {
    color: rgb(168, 168, 168);
    text-align: center;
    font-size: 0.8em;
    font-weight: 700;
}
.port_description, .port_info {
    text-align: left;
}
.port_info a {
    text-decoration: underline;
}
.work_box a {
    color: white;
    font-size: 0.95em;
}
.port_link {
    height: 40px;
    padding: 10px 0;
    background-color: #393939;
    border-radius: 5px;
    text-align: center;
}
.work_box a:hover {
    color: rgb(154, 143, 219);
}
.port_link:hover {
    background-color: rgb(70, 70, 70);
    color: rgb(154, 143, 219);
}



/* Reponsive Section*/

/* Tablets */
@media screen and (max-width: 768px) {
    
    /* Intro */
    .intro {    
        height: 100vh;
        padding: 70px 20px;
    }    
    .phrase {
        width:50vw;
        padding-right: 10px;
        font-size: 1.6rem;
    }
    .desktop-img {
        width: 50vw;
    }
    .desktop-img img {
        width: 100%;
    }

    /* social buttons*/
    .social-network a {
        width: 45px;
        height: 45px;
    }
    .social-network a i {
        font-size: 25px;
    }

    /* About */
    .about {
        padding: 80px 0  0 20px;
    }

    .profile-photo {
        padding-right: 15px;
    }

    .profile-photo img {
        height: 200px;
        width: 200px;
    }

    .about-text {
        padding: 0px 15px 0 20px;
        font-size: 1.4rem;
    }

    .about-text h2 {
        font-size: 1.8rem;
    }

    /* Know-How */
    .know-how {
        padding: 90px 20px;
        font-size: 1.2em;

    }

    /* Portfolio */
    .portfolio {  
        padding-top: 90px;
        padding-left: 10px;
    }
}


/* Cellphone */
@media screen and (max-width: 480px) {
    
    /* Intro */ 
    .intro {    
        height: 100vh;
        padding: 0 15px;
    }    
    .phrase {
        padding-right: 5px;
        font-size: 1.2rem;
    }

    /* About */
    .about {
        display: block;
        height: 100%;
        padding: 80px 15px;
    }

    .profile-photo {
        width: 100%;
        padding: 0;
        text-align: center;
    }

    .profile-photo img {
        height: 120px;
        width: 120px;
    }

    .about-text {
        width: 100%;
        text-align: center;
        font-size: 1.1rem;
    }

    .about-text h2 {
        font-size: 1.4rem;
    }

    /* Know-How */
    .know-how {
        padding-left: 15px;
        font-size: 1.1rem;

    }
    .know-how h2 {
        font-size: 1.4rem;
    }
}